<template>
  <div
    v-drag="true"
    class="spatialBox"
    v-resizable="'right, bottom'"
  >
    <div class="spatialTitle">
      <label>空间查询 </label>
      <el-icon
        @click="setSpatialClose"
        :size="20"
      >
        <Close />
      </el-icon>
    </div>
  </div>
</template>

<script lang="ts" setup>
import {
  ref,
  onMounted,
  onBeforeUnmount,
  reactive,
  defineProps,
  defineEmits,
} from "vue";
import { User, Lock } from "@element-plus/icons-vue";
const emits = defineEmits(["SETspatialClose"]);
const setSpatialClose = () => {
  emits("SETspatialClose", false);
};
onMounted(() => {});
</script>

<style lang="less" scoped>
.spatialBox {
  width: 800px;
  height: 400px;
  display: flex;
  position: absolute;
  top: 5%;
  left: 5%;
  background: rgba(7, 8, 14, 0.8);
  border: 1px solid #d6e4ff;
  z-index: 10;
  box-shadow: inset 0px 10px 40px 10px rgba(38, 47, 71, 1);
  .spatialTitle {
    padding: 10px;
    width: calc(100% - 20px);
    color: #d6e4ff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 30px;
    label {
      font-size: 16px;
    }
  }
}
</style> 